package de.ozgcloud.apilib.vorgang;

public class OzgCloudAntragstellerTestFactory {

	public static final String ANREDE = "Mr.";

	public static final String FIRSTNAME = "Theo";
	public static final String NACHNAME = "Test";
	public static final String GEBURTSDATUM = "10.04.1995";
	public static final String GEBURTSORT = "Downtown";
	public static final String GEBURTSNAME = "Toast";
	public static final String STRASSE = "Treestreet";
	public static final String HAUSNUMMER = "5a";
	public static final String PLZ = "12345";
	public static final String ORT = "City";
	public static final String E_MAIL = "test@local";
	public static final String TELEFON = "0123 2354 546";

	public static OzgCloudAntragsteller create() {
		return createBuilder().build();
	}

	public static OzgCloudAntragsteller.OzgCloudAntragstellerBuilder createBuilder() {
		return OzgCloudAntragsteller.builder()
				.anrede(ANREDE)
				.vorname(FIRSTNAME)
				.nachname(NACHNAME)
				.geburtsdatum(GEBURTSDATUM)
				.geburtsort(GEBURTSORT)
				.geburtsname(GEBURTSNAME)
				.strasse(STRASSE)
				.hausnummer(HAUSNUMMER)
				.plz(PLZ)
				.ort(ORT)
				.email(E_MAIL)
				.telefon(TELEFON);
	}
}
