package de.ozgcloud.apilib.vorgang.grpc;

import static de.ozgcloud.apilib.vorgang.OzgCloudAntragstellerTestFactory.*;

import de.itvsh.ozg.pluto.vorgang.GrpcAntragsteller;

public class GrpcAntragstellerTestFactory {

	public static GrpcAntragsteller create() {
		return createBuilder().build();
	}

	public static GrpcAntragsteller.Builder createBuilder() {
		return GrpcAntragsteller.newBuilder()
				.setAnrede(ANREDE)
				.setVorname(FIRSTNAME)
				.setNachname(NACHNAME)
				.setGeburtsdatum(GEBURTSDATUM)
				.setGeburtsort(GEBURTSORT)
				.setGeburtsname(GEBURTSNAME)
				.setStrasse(STRASSE)
				.setHausnummer(HAUSNUMMER)
				.setPlz(PLZ)
				.setOrt(ORT)
				.setEmail(E_MAIL)
				.setTelefon(TELEFON);
	}
}
