package de.ozgcloud.apilib.vorgang.grpc;

import static de.ozgcloud.apilib.vorgang.OzgCloudEingangHeaderTestFactory.*;

import de.itvsh.ozg.pluto.vorgang.GrpcEingangHeader;

public class GrpcEingangHeaderTestFactory {

	public static GrpcEingangHeader create() {
		return createBuilder().build();
	}

	public static GrpcEingangHeader.Builder createBuilder() {
		return GrpcEingangHeader.newBuilder()
				.setRequestId(REQUEST_ID)
				.setCreatedAt(CREATED_AT_STR)
				.setFormId(FORM_ID)
				.setFormName(FORM_NAME)
				.setFormEngineName(FORM_ENGINE_NAME);
	}
}
