package de.ozgcloud.apilib.vorgang.grpc;

import static de.ozgcloud.apilib.vorgang.OzgCloudVorgangHeaderTestFactory.*;
import static de.ozgcloud.apilib.vorgang.OzgCloudVorgangTestFactory.*;

import de.itvsh.ozg.pluto.vorgang.GrpcVorgangHeader;

public class GrpcVorgangHeaderTestFactory {

	public static GrpcVorgangHeader create() {
		return createBuilder().build();
	}

	public static GrpcVorgangHeader.Builder createBuilder() {
		return GrpcVorgangHeader.newBuilder()
				.setId(ID.toString())
				.setVersion(VERSION)
				.setStatus(STATUS.toString())
				.setName(VORGANG_NAME)
				.setCreatedAt(CREATED_AT_STR)
				.setAktenzeichen(AKTENZEICHEN)
				.setAssignedTo(ASSIGNED_TO.toString())
				.setNummer(VORGANG_NUMMER);
	}
}
