package de.ozgcloud.apilib.vorgang.grpc;

import static de.ozgcloud.apilib.vorgang.OzgCloudVorgangHeaderTestFactory.*;
import static de.ozgcloud.apilib.vorgang.OzgCloudVorgangTestFactory.*;

import de.itvsh.ozg.pluto.vorgang.GrpcVorgangWithEingang;

public class GrpcVorgangWithEingangTestFactory {

	public static GrpcVorgangWithEingang create() {
		return createBuilder().build();
	}

	public static GrpcVorgangWithEingang.Builder createBuilder() {
		return GrpcVorgangWithEingang.newBuilder()
				.setId(ID.toString())
				.setVersion(VERSION)
				.setName(VORGANG_NAME)
				.setNummer(VORGANG_NUMMER)
				.setAktenzeichen(AKTENZEICHEN)
				.setAssignedTo(ASSIGNED_TO.toString())
				.setCreatedAt(CREATED_AT_STR)
				.setStatus(STATUS.toString())
				.setHeader(GrpcVorgangHeadTestFactory.create())
				.setEingang(GrpcEingangTestFactory.create());
	}
}
