package de.ozgcloud.apilib.vorgang.grpc;

import org.mapstruct.Mapper;
import org.mapstruct.Mapping;

import de.itvsh.ozg.pluto.vorgang.GrpcVorgangHeader;
import de.ozgcloud.apilib.vorgang.OzgCloudVorgangIdMapper;
import de.ozgcloud.apilib.vorgang.OzgCloudVorgangStub;

@Mapper(uses = OzgCloudVorgangIdMapper.class)
public interface OzgCloudVorgangStubMapper {

	@Mapping(target = "header", ignore = true)
	@Mapping(target = "vorgangName", ignore = true)
	@Mapping(target = "vorgangNummer", ignore = true)
	OzgCloudVorgangStub fromGrpc(GrpcVorgangHeader vorgang);

}
