package de.ozgcloud.apilib.vorgang.grpc;

import static de.ozgcloud.apilib.vorgang.OzgCloudZustaendigeStelleTestFactory.*;

import de.itvsh.ozg.pluto.vorgang.GrpcZustaendigeStelle;

public class GrpcZustaendigeStelleTestFactory {

	public static GrpcZustaendigeStelle create() {
		return createBuilder().build();
	}

	public static GrpcZustaendigeStelle.Builder createBuilder() {
		return GrpcZustaendigeStelle.newBuilder()
				.setOrganisationseinheitenId(ORGANISATIONS_EINHEIT_ID)
				.setBezeichnung(BEZEICHNUNG)
				.setEmail(EMAIL);
	}
}
